Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		bluez
Summary:	BlueZ - Bluetooth protocol stack for Linux.
Version:	4.76
Release:	1
Group:		System/Configuration/Hardware
License:	GNU/GPL
URL:		http://www.bluez.org
Source0:	%{name}-%{version}.tar.bz2
Source201:	bluetooth.init
Source202:	pand.init
Source203:	pand.conf
Source204:	dund.init
Source205:	dund.conf
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686
Provides: 	bluez-libs = %{version} libbluetooth.so.1

Obsoletes:	bluez-libs < 4.0
Obsoletes:	bluez-utils < 4.0

BuildRequires:  libsndfile-devel
BuildRequires:  flac-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libogg-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: dbus-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: libnl-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
BlueZ - Bluetooth protocol stack for Linux.

%package devel 
Summary: 	Header files for BlueZ Bluetooth protocol stack.
Requires: 	%{name} = %{version}-%{release}
Group: 		Development/Libraries
Obsoletes:	bluez-libs-devel < 4.0
Provides:	bluez-libs-devel = %{version}
 
%description devel 
Header files for BlueZ Bluetooth protocol stack.

%package utils
Summary:        BlueZ - Bluetooth protocol stack Utilities.
Group:          System/Daemons
Requires:       bluez >= %{version}

%package utils-cups
Summary:        CUPS printer backend for Bluetooth printers
Group:          System/Daemons
Requires:       bluez >= %{version}
Requires:       cups

%package utils-gstreamer
Summary:        gstreamer support for SBC audio format
Group:          System/Daemons
Requires:       bluez >= %{version}

%package utils-alsa
Summary:        ALSA support for Bluetooth audio devices
Group:          System/Daemons
Requires:       bluez >= %{version}

%package compat
Summary: 	Compatibility utilities for Bluetooth devices
Group: 		System/Daemons
Requires: 	bluez = %{version}

%description utils
Bluetooth utilities (bluez-utils):
        - hcitool
        - hciattach
        - hciconfig
        - l2ping
        - start scripts (Red Hat)
        - pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description utils-cups
This package contains the CUPS backend

%description utils-gstreamer
This package contains gstreamer plugins for the Bluetooth SBC audio format

%description utils-alsa
This package contains ALSA support for Bluetooth audio devices

%description compat
This package contains compatibility utilities for Bluetooth devices.
This includes hidd, dund and pand.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post utils
/sbin/chkconfig --add bluetooth
if [ "`grep uinput /etc/sysconfig/modules`" != "uinput" ]; then
                sed "\/^# End*/ i uinput" /etc/sysconfig/modules > /etc/sysconfig/modules.tmp
                mv -f /etc/sysconfig/modules.tmp /etc/sysconfig/modules
fi
if [ "$1" -ge "1" ]; then
	/sbin/service bluetooth stop >/dev/null 2>&1 || :
        /sbin/service bluetooth start >/dev/null 2>&1 || :
fi
exit 0

%preun utils
if [ "$1" = "0" ]; then
        /sbin/service bluetooth stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del bluetooth
	if [ "`grep uinput /etc/sysconfig/modules`" == "uinput" ]; then 
		sed "/^uinput*/d" /etc/sysconfig/modules > /etc/sysconfig/modules.tmp
		mv -f /etc/sysconfig/modules.tmp /etc/sysconfig/modules
	fi
fi

%post compat
/sbin/chkconfig --add dund
/sbin/chkconfig --add pand
#/sbin/chkconfig --add rfcomm
if [ "$1" -ge "1" ]; then
        /sbin/service dund condrestart >/dev/null 2>&1 || :
        /sbin/service pand condrestart >/dev/null 2>&1 || :
        #/sbin/service rfcomm condrestart >/dev/null 2>&1 || :
fi
exit 0

%preun compat
if [ "$1" = "0" ]; then
        /sbin/service dund stop >/dev/null 2>&1 || :
        /sbin/service pand stop >/dev/null 2>&1 || :
        /sbin/service rfcomm stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del dund
        /sbin/chkconfig --del pand
        /sbin/chkconfig --del rfcomm
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--enable-gstreamer \
		--enable-alsa \
		--enable-usb \
		--enable-netlink \
		--enable-tools \
		--enable-bccmd \
		--enable-pcmcia \
		--enable-hid2hci \
		--enable-dfutool \
		--enable-hidd \
		--enable-pand \
		--enable-dund \
		--enable-cups \
		--enable-udevrules \
		--enable-configfiles \
		--disable-debug
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
# bluez
make DESTDIR=$RPM_BUILD_ROOT install-strip

install -d -m0755 $RPM_BUILD_ROOT/var/lib/bluetooth

for a in bluetooth dund pand ; do
        install -D -m0755 $RPM_SOURCE_DIR/$a.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/$a
        if [ -e $RPM_SOURCE_DIR/$a.conf ] ; then
                install -D -m0644 $RPM_SOURCE_DIR/$a.conf $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/$a
        fi
done

install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/modules/

rm -f	$RPM_BUILD_ROOT/%{_libdir}/*.la				\
	$RPM_BUILD_ROOT/%{_libdir}/alsa-lib/*.la		\
	$RPM_BUILD_ROOT/%{_libdir}/bluetooth/plugins/*.la	\
        $RPM_BUILD_ROOT/%{_libdir}/gstreamer-0.10/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* 
%_libdir/libbluetooth.so.*

%files devel
%defattr(-,root,root)
%_includedir/bluetooth/
%_libdir/libbluetooth.so
%_pkgconfig/bluez.pc

%files utils
%defattr(-, root, root)
%{_datadir}/alsa/bluetooth.conf
%{_sysconfdir}/rc.d/init.d/bluetooth
%config(noreplace) %{_sysconfdir}/bluetooth/main.conf
%config(noreplace) %{_sysconfdir}/bluetooth/rfcomm.conf
%config %{_sysconfdir}/dbus-1/system.d/bluetooth.conf
%{_sysconfdir}/udev/rules.d/97-bluetooth-hid2hci.rules
%{_sysconfdir}/udev/rules.d/97-bluetooth.rules
%{_sysconfdir}/udev/rules.d/97-bluetooth-serial.rules
/usr/libexec/udev/bluetooth_serial
%{_bindir}/ciptool
%{_bindir}/dfutool
%{_bindir}/hcitool
%{_bindir}/l2ping
%{_bindir}/rfcomm
%{_bindir}/sdptool
%{_sbindir}/bccmd
%{_sbindir}/bluetoothd
%{_sbindir}/hciattach
%{_sbindir}/hciconfig
%{_sbindir}/hid2hci
%{_mandir}/man1/ciptool.1.gz
%{_mandir}/man1/dfutool.1.gz
%{_mandir}/man1/hcitool.1.gz
%{_mandir}/man1/rfcomm.1.gz
%{_mandir}/man1/sdptool.1.gz
%{_mandir}/man8/bccmd.8.gz
%{_mandir}/man8/bluetoothd.8.gz
%{_mandir}/man8/hciattach.8.gz
%{_mandir}/man8/hciconfig.8.gz
%{_mandir}/man8/hid2hci.8.gz
%{_mandir}/man8/l2ping.8.gz
%{_libdir}/bluetooth/
%dir /var/lib/bluetooth

%files utils-cups
%defattr(-, root, root)
%{_libdir}/cups/backend/bluetooth

%files utils-gstreamer
%defattr(-, root, root)
%{_libdir}/gstreamer-*/libgstbluetooth.so

%files utils-alsa
%defattr(-, root, root)
%{_libdir}/alsa-lib/libasound_module_ctl_bluetooth.so
%{_libdir}/alsa-lib/libasound_module_pcm_bluetooth.so

%files compat
%defattr(-, root, root)
%{_bindir}/dund
%{_bindir}/pand
%{_bindir}/hidd
%{_sysconfdir}/rc.d/init.d/dund
%{_sysconfdir}/rc.d/init.d/pand
%{_mandir}/man1/dund.1.gz
%{_mandir}/man1/pand.1.gz
%{_mandir}/man1/hidd.1.gz
%config(noreplace) %{_sysconfdir}/sysconfig/dund
%config(noreplace) %{_sysconfdir}/sysconfig/pand


%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.76-1
- Version update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.69-1
- Version update
* Mon Jul 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.68-1
- Version update
* Sat Jul 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.67-1
- Version update
* Wed May 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.65-1
- Version update
* Thu Apr 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.63-1
- Version update
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.62-1
- Version update
* Tue Dec 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.58-1
- Version update
* Sat Nov 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.57-1
- Version update
* Tue Sep 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.54-1
- Version update
* Thu Sep 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.53-1
- Version update
* Tue May 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.38-1
- Version update
* Sun May 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.37-1
- Version update
* Fri Mar 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.33-1
- Version update
* Thu Jan 22 2009 Christian Metzen <metzench@ccux-linux.de> 4.27-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.26-1
- Version update
* Tue Dec 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.25-1
- Version update
* Sun Dec 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.24-1
- Version update
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.23-1
- Version update
* Thu Dec 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.22-1
- Version update
* Thu Dec 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.21-1
- Version update
* Sun Nov 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.20-1
- Version update
* Tue Nov 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.19-1
- Version update
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.18-1
- Version update
* Sun Nov 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.17-1
- Version update
* Mon Oct 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.15-1
- Version update
* Sat Oct 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.13-1
- Version update
* Mon Oct 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.12-1
- Version update
* Sun Oct 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.11-1
- Version update
* Tue Sep 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.9-1
- Version update
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6-1
- Version update
* Sun Sep 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.5-1
- Version update
* Tue Sep 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.4-1
- Version update
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.2-1
- Version update
* Wed Aug 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1-1
- Version update
- new package scheme
* Mon May 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.32-1
- Version Update
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.31-1
- Version Update
* Sun Apr 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.30-1
- Version Update
* Sat Feb 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.27-1
- Version Update
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.25-1
- Version Update
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.24-1
- Version Update
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 3.23-1
- Version update
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.22-1
- Version Update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.20-1
- Version Update
* Mon Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.19-1
- Version Update
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.14-1
- Version Update
* Mon May 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.10-1
- Version Update
* Sat Feb 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.9-1
- Version Update
* Mon Oct 30 2006 Luke <luke@lionbit.com> 3.7-2
- Rebuilt
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.7-1
- Version Update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5-1
- Version Update
* Sun Aug 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.2-1
- Version Update
* Sun Jun 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- Version Update
* Sun Apr 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.25-1
- Version Update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.24-1
- Version Update
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.22-1
- Version Update, fixed missing symlink
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 2.21-2
- Moved more files to devel package
* Wed Sep 21 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.21-1
- Version Update
* Mon Jun 06 2005 Christian Metzen <metzench@ccux-linux.de> 2.17-2
- Moved static Libs to devel Package, tweaked spec file
* Sun Jun 05 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.17-1
- Version Update / rebuilt spec / split headers to devel-package
* Sun Dec 26 2004 Christian Metzen <metzench@ccux-linux.de> 2.10-1
- Initial Release
